@ECHO OFF
setlocal enabledelayedexpansion

set string=%~1
set "path1=\units"
set "path2=\levels"
set "path3=\guis"
set "path4=\fonts"
set "path5=\environments"
set "path6=\effects"
set "path7=\core"
set "find1=*%path1%"
set "find2=*%path2%"
set "find3=*%path3%"
set "find4=*%path4%"
set "find5=*%path5%"
set "find6=*%path6%"
set "find7=*%path7%"

call set string=%%string:!find1!=%path1%%%
call set string=%%string:!find2!=%path2%%%
call set string=%%string:!find3!=%path3%%%
call set string=%%string:!find4!=%path4%%%
call set string=%%string:!find5!=%path5%%%
call set string=%%string:!find6!=%path6%%%
call set string=%%string:!find7!=%path7%%%
echo %string%
echo %string%|clip

CLS
EXIT